homepage/urls.py
from django.urls import path
from . import views

app_name = 'homepage'

urlpatterns = [
    path('', views.home, name='home'),
    path('profile/', views.profile, name='profile'),
    path('contact/', views.contact, name='contact'),
    path('challenge/', views.challenge, name='challenge'),
    
    ]

story/urls.py
from django.urls import path, include
from django.contrib import admin

urlpatterns = [
    path('admin/', admin.site.urls),
    path('', include('homepage.urls'))
]

homepage/models.py
from django.db import models

class Year(models.Model):
      year=models.CharField(max_length=10,default='NULL')

      def __str__(self):
            return self.year

# Create your models here.

class Friends(models.Model):
      name= models.CharField(max_length=100)
      hobby=models.CharField(max_length=100)
      favorite_food=models.CharField(max_length=100)
      favorite_drink=models.CharField(max_length=100)
      year=models.ForeignKey(Year,on_delete=models.CASCADE)

      def __str__(self):
            return self.name

homepage/forms.py
from django import forms
from .models import Friends,Year

class Friends_Form(forms.ModelForm):
    class Meta:
        model = Friends
        fields=['name','hobby','favorite_drink','favorite_food','year']

homepage/views.py
from django.shortcuts import redirect, render
from .forms import Friends_Form
from .models import Friends
from django.http import HttpResponseRedirect, request

# Create your views here.
def home(request):
    return render(request, 'home.html') 

def profile(request):
    return render(request, 'profile.html')

def contact(request):
    return render(request, 'contact.html')

def challenge(request):
    friend = Friends.objects.all()
    form= Friends_Form()
    if (request.method=='POST'):
        form = Friends_Form(request.POST)
        if(form.is_valid()):
            form.save()
        else:
            form= Friends_Form()
    return render(request, 'challenge.html',{'form': form,'friends':friend})

homepage/templates/challenge.html
<!DOCTYPE html>
{% load static %}
<html lang="en">
<head>
  <title>CQ</title>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=no">
  <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.4.1/css/bootstrap.min.css">
  <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
  <link rel="stylesheet" type="text/css" href="{% static 'style.css' %}">
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.4.1/jquery.min.js"></script>
  <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.4.1/js/bootstrap.min.js"></script>
</head>


<body class="cqbody">
    <div class="icon-bar">
      <a href="{% url 'homepage:home' %}"><i  class="glyphicon glyphicon-home"></i></a>
      <a href="{% url 'homepage:profile' %}"><i  class="glyphicon glyphicon-user"></i></a>
      <a href="{% url 'homepage:contact' %}"><i  class="glyphicon glyphicon-earphone"></i></a>
      <a href="{% url 'homepage:challenge' %}"><i  class="fa fa-question-circle-o"></i></a>
      </div>

    <div><h1 style="position: relative; width: 10vw; left: 50vw; top: -5vw;">Friends</h1></div>

    <div>
      <form method="POST" action=" ">
        {% csrf_token %}
        {{ form.as_p }}
        

        <input type="Submit">


      </form>
    </div>
    <br>
    <table style="width: 100%; border: 1px solid black;">
      <thead style="width: 100%;border: 1px solid black; background-color: grey;">
        <th style="text-align: center;">Name</th>
        <th style="text-align: center;">Hobby</th>
        <th style="text-align: center;">Favorite Drink</th>
        <th style="text-align: center;">Favorite Food</th>
        <th style="text-align: center;">Year</th>
      </thead>
      {% for friend in friends %}
      <tr style="background-color: honeydew;">
        <th style="text-align: center;">{{ friend.name }}</th>
        <th style="text-align: center;">{{ friend.hobby }}</th>
        <th style="text-align: center;">{{ friend.favorite_drink }}</th>
        <th style="text-align: center;">{{ friend.favorite_food }}</th>
        <th style="text-align: center;">{{ friend.year }}</th>
        {% endfor %}
      </tr>
      
    </table>

</body>
</html>

homepage/templates/contact.html
<!DOCTYPE html>
{% load static %}
<html lang="en">
<head>
  <title>CONTACT</title>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=no">
  <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.4.1/css/bootstrap.min.css">
  <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
  <link rel="stylesheet" type="text/css" href="{% static 'style.css' %}">
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.4.1/jquery.min.js"></script>
  <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.4.1/js/bootstrap.min.js"></script>
</head>


<body class="contbody">

    <div class="icon-bar">
      <a href="{% url 'homepage:home' %}"><i  class="glyphicon glyphicon-home"></i></a>
      <a href="{% url 'homepage:profile' %}"><i  class="glyphicon glyphicon-user"></i></a>
      <a href="{% url 'homepage:contact' %}"><i  class="glyphicon glyphicon-earphone"></i></a>
      <a href="{% url 'homepage:challenge' %}"><i  class="fa fa-question-circle-o"></i></a>
      </div>

      <h1 style="width: 0vw;height: 0vw;position: relative;top: -5vw; left: 45vw; font-size: 2vw;">Contact</h1>

      <div>
        <div class="circle1"> <img style="width: 3.5vw;height: 3.5vw;position: relative;top: 2vw; left: 2vw;" src="{% static 'mail-5.png' %}"></div>
        <div class="rectangle1">rayhanmuzakki1@gmail.com</div>
      </div>

      <div>
        <div class="circle2"><img style="width: 3.5vw;height: 3.5vw;position: relative;top: 2vw; left: 2vw;" src="{% static 'phone-512.png' %}" ></div>
        <div class="rectangle2">+62xx-xxxx-xxxx</div>
      </div>
      
      <div>
        <div class="circle3"> <a href="https://twitter.com/waxboil"><img style="width: 3.5vw;height: 3.5vw;position: relative;top: 2vw; left: 2vw;" src="{% static '5a2fe479cc45e43754640849.png' %}" ></a></div>
        <div class="rectangle3">Click the icon</div>
      </div>
      
      
      <div class="circle4"><a href="https://steamcommunity.com/profiles/76561198144787880"><img style="width: 3.5vw;height: 3.5vw;position: relative;top: 2vw; left: 2vw;" src="{% static 'img_224266.png' %}" ></a></div>
      

    
    
    
    <div class="rectangle4">Click the icon</div>

</body>
</html>

homepage/templates/copyright.html
<div style="color: black;background-color:#7C6D6D;text-align:center;text-align:justify;margin-top:10px">
<br><br>

    <h4 style="text-align:center;">Copyright 2020 (c)</h4>
<p style="text-align:center">TRIALISGOD</p>
</div>

homepage/templates/home.html
<!DOCTYPE html>
  {% load static %}
<html lang="en">
<head>
  <title>HOME</title>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.4.1/css/bootstrap.min.css">
  <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
  <link rel="stylesheet" href="https://www.w3schools.com/w3css/4/w3.css">
  <link rel="stylesheet" type="text/css" href="{% static 'style.css' %}">
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.4.1/jquery.min.js"></script>
  <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.4.1/js/bootstrap.min.js"></script>
</head>


<body class="homebody">

<a style="width: 10vw; font-size: 2vw ;" data-toggle="modal" href="#myModal" class="btn btn-primary btn-lg">Click</a>

<div class="modal fade" id="myModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
<div class="modal-dialog">
  <div class="modal-content">
    <div class="modal-header">
      <button type="button" st class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
      <h4 class="modal-title">Arknights Meme</h4>
    </div>
    <div class="modal-body">
      <p>Poor Bob</p> <br><br><br><br><br><br><br><br><br>
        <img class="img-responsive" src="{% static 'ark1.jpg' %}"/>
    </div>
    <div class="modal-footer">
      <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
    </div>
  </div>
</div>
 </div>

    <div class="icon-bar">
        <a href="{% url 'homepage:home' %}"><i  class="glyphicon glyphicon-home"></i></a>
        <a href="{% url 'homepage:profile' %}"><i  class="glyphicon glyphicon-user"></i></a>
        <a href="{% url 'homepage:contact' %}"><i  class="glyphicon glyphicon-earphone"></i></a>
        <a href="{% url 'homepage:challenge' %}"><i  class="fa fa-question-circle-o"></i></a>
      </div> 
  <div>
    <h1 class="home1">WELCOME</h1>  
    <h2 class="home2">TO MY WEBSITE</h2>
    <h3 class="home3">Navigate through the website using the Navigation Bar above</h3>
  </div>
  <div class="copirait"> {% include 'copyright.html' %}</div>
</body>
</html>

homepage/templates/profile.html
<!DOCTYPE html>
{% load static %}
<html lang="en">
<head>
  <title>PROFILE</title>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=no">
  <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.4.1/css/bootstrap.min.css">
  <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
  <link rel="stylesheet" type="text/css" href="{% static 'style.css' %}">
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.4.1/jquery.min.js"></script>
  <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.4.1/js/bootstrap.min.js"></script>
</head>


<body class="profbody">
    <div class="icon-bar">
      <a href="{% url 'homepage:home' %}"><i  class="glyphicon glyphicon-home"></i></a>
      <a href="{% url 'homepage:profile' %}"><i  class="glyphicon glyphicon-user"></i></a>
      <a href="{% url 'homepage:contact' %}"><i  class="glyphicon glyphicon-earphone"></i></a>
      <a href="{% url 'homepage:challenge' %}"><i  class="fa fa-question-circle-o"></i></a>
      </div>
      
    <div>
    <h1 class="prof1">Profile</h1>  
    <div class="temp"><img class="img1" src="{% static 'me.jpg' %}"></div>
    <div class="prof3"><img class="img2" src="{% static 'trial1.png' %}"></div>
    <div class="prof5"><img class="soe" src="{% static 'trial2.png' %}" ></div>
    <h4 class="prof4">Rayhan Muzakki Rahadyanputra</h4>
    <h5 style="position: relative;left: 41vw;top: -55vw;font-family: Rosario;font-style: normal;font-weight: normal;font-size: 1.9vw;color: #000000;">•DOB:28/09/2000</h5>
    <h6 style="position: relative;left: 41vw;top: -55vw;font-family: Rosario;font-style: normal;font-weight: normal;font-size: 1.9vw;color: #000000;">•Hobby: Games, Sightseeing</h6>
    <h7 style="position: relative;left: 41vw;top: -55vw;font-family: Rosario;font-style: normal;font-weight: normal;font-size: 1.9vw;color: #000000;">•Skills: Python,Java,PostgreSql</h7>
  </div>

  <div>
    <p class="description">I am an undergraduate student of University of Indonesia majoring in Computer Science. 
      Likes to plays any games(card games, video games, physical games) and go sightseeing.
       I have learned Python,Java and PostgreSql and still willing to be more in-depth in more languages through Udemy.</p>
      </div> 

    </div>   
</body>
</html>